using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop;
using SuperMap.UI;
using SuperMap.Data;
using SuperMap.Mapping;

namespace SuperMap.Desktop.Samples
{
    class _CtrlActionArrowDrawing : CtrlAction
    {
        public _CtrlActionArrowDrawing(IBaseItem caller)
            : base(caller)
        {

        }
        override public void Run()
        {
            (SuperMap.Desktop.Application.ActiveForm as IFormMap).GeometryDrawingManager.CurrentGeometryDrawing = new ArrowDrawing();
        }

        /// <summary>
        /// Ribbon status
        /// </summary>
        public override bool Enable()
        {
            Boolean enable = false;

            if (Application.ActiveApplication != null
                && Application.ActiveForm!=null)
            {
                IFormMap formMap = Application.ActiveForm as IFormMap;
                Layer editLayer =formMap.MapControl.ActiveEditableLayer;
                if (editLayer != null
                    && editLayer.IsEditable
                    &&editLayer.Dataset.Type==DatasetType.Region)
                {
                    enable = true;
                }
            }

            return enable;
        }
    }
}
